<?php
echo '<h3>List of modules:</h3><hr>';
echo '<b>Modules are files in the modules folder that contain php functions.</b><hr>';

$kati= getcwd ( ). '/modules/';	// 
$fex = " .php,.txt";  		    // 
if (file_exists ($kati)) 	   	// 
{$files2 = scandir($kati, 1);	//
$i=1;
foreach ($files2 as $va3) 	//
{if (!strstr($va3, '.'))  	//
 {}
 else  // 
 {if  (strpos($va3,".")>0) // 
	{list($na1,$ex3)=explode('.',$va3);  // 
	 if  (strpos($fex,$ex3)>0) // 
	   {$fff=$kati.$va3; //
       $s = file_get_contents ($fff); 	    // 
	   $poz=strpos(" ".$s,"/*");
	   $poz1=strpos(" ".$s,"*/");
	   $tc="";
       if ($poz>0 and $poz1>0)
	   {    
	   $tc=substr($s,$poz,$poz1-$poz);
	   }
       $poz=strpos(" ".$s,"function");
       if  ($poz>0)  // 
	   {
	  $poz--;
	  $tc1=substr($s,$poz); 
	   $poz1=strpos(" ".$tc1,")");
       if ($poz1>0)  // 
	   {$tc1=substr($tc1,0,$poz1);}
	   else
	   {$tc1="Not a main function format!";}
       }
       else
	   {$tc1="No main function!";}
	   
	   echo '<b style="background:silver">'.$i.'</b><div time="0" id=s title="'.$i++.'"><b id=func>'.$tc1.'</b><br>file - '.$va3.'<br>'.$tc.'<hr></div>';

 }}}
 
 
 
 }}
?>